linear-1.20.3: Linear Algebra

License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

Linear.Covector

Description

Operations on affine spaces.

Synopsis

- newtype Covector r a = Covector {
  - runCovector :: (a -> r) -> r
  }
- ($*) :: Representable f => Covector r (Rep f) -> f r -> r

# Documentation

newtype Covector r a Source

Linear functionals from elements of an (infinite) free module to a scalar

Constructors

Covector |

Fields

runCovector :: (a -> r) -> r

Instances

Monad (Covector r) Source |
Functor (Covector r) Source |
Applicative (Covector r) Source |
Num r => Alternative (Covector r) Source |
Num r => MonadPlus (Covector r) Source |
Num r => Plus (Covector r) Source |
Num r => Alt (Covector r) Source |
Apply (Covector r) Source |
Bind (Covector r) Source |
Coalgebra r m => Num (Covector r m) Source |

($*) :: Representable f => Covector r (Rep f) -> f r -> r infixr 0 Source